OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEPBase
StepRepr

# StepRepr_RepresentationMap Class Reference

`#include <StepRepr_RepresentationMap.hxx>`

Inheritance diagram for StepRepr_RepresentationMap:

[legend]

## Public Member Functions
Standard_EXPORT | StepRepr_RepresentationMap ()
| Returns a RepresentationMap .
virtual Standard_EXPORT void | Init (const Handle(StepRepr_RepresentationItem)&aMappingOrigin, const Handle(StepRepr_Representation)&aMappedRepresentation)
Standard_EXPORT void | SetMappingOrigin (const Handle(StepRepr_RepresentationItem)&aMappingOrigin)
Standard_EXPORT Handle_StepRepr_RepresentationItem | MappingOrigin () const
Standard_EXPORT void | SetMappedRepresentation (const Handle(StepRepr_Representation)&aMappedRepresentation)
Standard_EXPORT Handle_StepRepr_Representation | MappedRepresentation () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Handle_StepRepr_RepresentationItem | mappingOrigin
Handle_StepRepr_Representation | mappedRepresentation

## Constructor & Destructor Documentation

Standard_EXPORT StepRepr_RepresentationMap::StepRepr_RepresentationMap | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const StepRepr_RepresentationMap::Handle | ( | Standard_Type |  | ) | const

| Reimplemented in StepVisual_CameraUsage.

virtual Standard_EXPORT void StepRepr_RepresentationMap::Init | ( | const Handle(StepRepr_RepresentationItem)& | aMappingOrigin,
|  | const Handle(StepRepr_Representation)& | aMappedRepresentation
| ) | `[virtual]`

Standard_EXPORT Handle_StepRepr_Representation StepRepr_RepresentationMap::MappedRepresentation | ( |  | ) | const

Standard_EXPORT Handle_StepRepr_RepresentationItem StepRepr_RepresentationMap::MappingOrigin | ( |  | ) | const

Standard_EXPORT void StepRepr_RepresentationMap::SetMappedRepresentation | ( | const Handle(StepRepr_Representation)& | aMappedRepresentation | ) |

Standard_EXPORT void StepRepr_RepresentationMap::SetMappingOrigin | ( | const Handle(StepRepr_RepresentationItem)& | aMappingOrigin | ) |

## Field Documentation

Handle_StepRepr_Representation StepRepr_RepresentationMap::mappedRepresentation`[private]`

Handle_StepRepr_RepresentationItem StepRepr_RepresentationMap::mappingOrigin`[private]`

The documentation for this class was generated from the following file:

- StepRepr_RepresentationMap.hxx